#include <iostream>
using namespace std;
int main () {
    ios::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
    int n, a, last, ans=0;
    cin >> n;
    last=0;
    for (int i=1;i<=n;i++) {
        cin >> a;
        if (a%2==0) last=i;
        ans+=last;
    }
    cout << ans << endl;
    return 0;
}
